package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbEnrollmentTime;
import org.springframework.stereotype.Repository;

/**
 * 入学时间Mapper接口
 * 
 * @author ruoyi
 * @date 2022-09-05
 */
@Repository
public interface TbEnrollmentTimeMapper 
{
    /**
     * 查询入学时间
     * 
     * @param id 入学时间主键
     * @return 入学时间
     */
    public TbEnrollmentTime selectTbEnrollmentTimeById(Long id);

    /**
     * 查询入学时间列表
     * 
     * @param tbEnrollmentTime 入学时间
     * @return 入学时间集合
     */
    public List<TbEnrollmentTime> selectTbEnrollmentTimeList(TbEnrollmentTime tbEnrollmentTime);

    public List<TbEnrollmentTime> selectEnrollmentTimeNotPassList(TbEnrollmentTime tbEnrollmentTime);
    /**
     * 新增入学时间
     * 
     * @param tbEnrollmentTime 入学时间
     * @return 结果
     */
    public int insertTbEnrollmentTime(TbEnrollmentTime tbEnrollmentTime);

    /**
     * 修改入学时间
     * 
     * @param tbEnrollmentTime 入学时间
     * @return 结果
     */
    public int updateTbEnrollmentTime(TbEnrollmentTime tbEnrollmentTime);
    public int updateCheckStatus(TbEnrollmentTime tbEnrollmentTime);

    /**
     * 删除入学时间
     * 
     * @param id 入学时间主键
     * @return 结果
     */
    public int deleteTbEnrollmentTimeById(Long id);
    public int deleteTbEnrollmentTimeBySchoolId(Long id);

    /**
     * 批量删除入学时间
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbEnrollmentTimeByIds(String[] ids);
    public int deleteTbEnrollmentTimeBySchoolIds(String[] ids);
}

